#pragma once


class CScanFingerDoc : public CDocument
{
protected:
#pragma warning(suppress: 26455)
  CScanFingerDoc() = default;

public:
//Constructors / Destructors
  CScanFingerDoc(const CScanFingerDoc&) = delete;
  CScanFingerDoc(CScanFingerDoc&&) = delete;
  ~CScanFingerDoc() = default; //NOLINT(modernize-use-override)

//Methods
  CScanFingerDoc& operator=(const CScanFingerDoc&) = delete;
  CScanFingerDoc& operator=(CScanFingerDoc&&) = delete;
  BOOL OnNewDocument() override;
  void Serialize(CArchive& ar) override;
#ifdef _DEBUG
  void AssertValid() const override;
  void Dump(CDumpContext& dc) const override;
#endif

protected:
  DECLARE_MESSAGE_MAP()

  DECLARE_DYNCREATE(CScanFingerDoc)
};
